Subject: bug#1867: Resizing window causes text flickering when using antialiased font on X

From: Eli Zaretskii <[email-masked]>
Date: Wed, 05 Oct 2011 06:41:44 -0400

> Date: Wed, 05 Oct 2011 09:01:28 +0200
> From: "Jan D." <[email-masked]>
> Cc: Bo Lin <[email-masked]>, [email-masked]
> 
> FWIW, I can't see any text flicker in the scenario above.  However, the 
> hollow cursor in the non-selected windows do flicker which indicates 
> that there is some redrawing going on.

The way redisplay is written, _any_ change to dimensions of _any_
window sets a flag that will cause a thorough redisplay of all the
windows on all the visible frames.  However, I'd expect that redisplay
of any window not affected by the resizing be limited to redrawing the
cursor.

So even when antialiased fonts are used, I wouldn't expect any
flickering, because Emacs should notice that the window didn't change
at all.  Unless, that is, redrawing the cursor on X involves redrawing
parts of the window text.  Does it?